import 'package:console/console.dart';

class PromptParameterException implements Exception {
  final String msg, value;

  const PromptParameterException(this.value, [this.msg]);

  @override
  String toString() => msg ?? 'You must provide a $value value';
}

prettyPrintJson(Map json) {
  print('{');
  json.forEach((k, v) {
    print(format(
        "\t{color.gold}$k{color.normal} : {color.green}$v{color.normal}"));
  });
  print('}');
}
