import 'package:console/console.dart';
import 'package:dart_inquirer/src/question.dart';

class ListQuestion implements Question {
  @override
  var answer;

  @override
  String message;

  @override
  String name;
  
  @override
  Function skipIf;

  List<String> choices = [];

  ListQuestion(this.name, this.message, this.choices, {this.skipIf}){
    skipIf == null ? skipIf = (_) => false : null;
  }

  @override
  ask() async {
    answer = Chooser<String>(choices, message: '[ ] ' + message.trim() + ' : ').chooseSync();
  }

}