import 'package:console/console.dart';
import 'package:dart_inquirer/src/question.dart';

class PasswordQuestion implements Question {
  @override
  var answer;

  @override
  String message;

  @override
  String name;
  
  @override
  Function skipIf;

  PasswordQuestion(this.name, this.message, {this.skipIf}){
    skipIf == null ? skipIf = (_) => false : null;
  }

  @override
  ask() async {
    answer = Prompter('[ ] ' + message.trim() + ' ', secret: true).promptSync();
  }

}